package ru.dbotthepony.mc.otm.client.screen.panels

import com.mojang.blaze3d.vertex.PoseStack
import net.minecraft.network.chat.Component
import ru.dbotthepony.mc.otm.TextComponent
import ru.dbotthepony.mc.otm.core.RGBAColor
import ru.dbotthepony.mc.otm.client.screen.MatteryScreen

open class Label @JvmOverloads constructor(
	screen: MatteryScreen<*>,
	parent: EditablePanel?,
	x: Float = 0f,
	y: Float = 0f,
	width: Float = 100f,
	height: Float = 10f,
	var text: Component = TextComponent("Label")
) : EditablePanel(screen, parent, x, y, width, height) {
	constructor(screen: MatteryScreen<*>, parent: EditablePanel?, text: Component) : this(screen, parent, x = 0f, text = text)

	init {
		scissor = true
	}

	var color = RGBAColor.SLATE_GRAY

	override fun innerRender(stack: PoseStack, mouseX: Float, mouseY: Float, partialTick: Float) {
		font.draw(stack, text, 0f, 0f, color.toInt())
	}
}
